<?php 
/**

  The Initial Developer of the Original Code is
  Matthieu  - http://www.programmation-facile.com/
  Portions created by the Initial Developer are Copyright (C) 2013
  the Initial Developer. All Rights Reserved.

  Contributor(s) :

 */

echo "Mise en pratique des tableaux";

// stockage direct des villes dans un tableau à plusieurs dimensions

//    - pour la France 
$aVilles["FRANCE"][] = "Paris"; 
$aVilles["FRANCE"][] = "Lyon"; 
$aVilles["FRANCE"][] = "Nantes"; 

//    - pour l'Italie 
$aVilles["ITALIE"][] = "Rome"; 
$aVilles["ITALIE"][] = "Venise"; 

// accès aux éléments du tableau
echo "<br />tableau Paris : ".$aVilles["FRANCE"][0]."<br />"; // Paris
echo "<br />tableau Venise : ".$aVilles["ITALIE"][1]."<br /><br />"; // Venise

// parcourir le tableau
foreach($aVilles as $sPays => $sVille)
{ 
  echo "Pays ".$sPays." Ville : ".$sVille[0]."<br /><br />"; 
} 

// nombre d'éléments du tableau
echo "aVilles[FRANCE] tableau de ".count($aVilles["FRANCE"])." elements<br /><br />"; 

$aVillesFrance = array("Marseille", "Paris", "Nantes", "Lyon"); 


// élément présent dans le tableau ?
$bElts = in_array("Marseille", $aVillesFrance);
if( $bElts)
	echo "Marseille est presente dans le tableau des villes.<br />"; 
else
	echo "Marseille n'est pas presente dans le tableau des villes.<br />"; 

$bSearch = array_search("Clermont", $aVillesFrance);

if(!$bSearch)
	echo "Clermont n'est pas present dans le tableau des villes.<br />";

// découpe une chaîne selon un séparateur et stocke les éléments dans un tableau
$sListeVilles = "Marseille,Nantes,Paris,Clermont";  
$aVillesListes = explode( ",", sListeVilles);

foreach($aVillesListes as $key => $valeur) 
	echo $key." => ".$valeur."<br />";

// regroupe les éléments d’un tableau dans une chaîne à l’aide d’un séparateur
$sListe = implode(", ", $aVillesListes);
echo "liste des villes : ".$sListe."<br/>";


?>